> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get featured app details

> Retrieve detailed information about a specific featured app



## OpenAPI

````yaml /api/modo-canton.json get /v1/featured-apps/{contractId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/featured-apps/{contractId}:
    get:
      tags:
        - Featured Apps
      summary: Get featured app details
      description: Retrieve detailed information about a specific featured app
      operationId: getFeaturedAppDetails
      parameters:
        - name: contractId
          in: path
          description: Contract ID
          required: true
          schema:
            type: string
          example: >-
            000fcbe9115e9c6c90d6e44ab120e5a3b894db3935488ab77244660e64ec7cfb84ca121220c15795ec51f44f6453ca3de595c6b34d25239578b35029f08be593668af9d25a
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FeaturedAppDtoAPI'
components:
  schemas:
    FeaturedAppDtoAPI:
      type: object
      properties:
        contractId:
          type: string
        templateId:
          type: string
        dso:
          type: string
        provider:
          type: string
        createdEventBlob:
          type: string
        createdAt:
          type: integer
          format: int64
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````